Summary: Translation of English text to phonetics for Mbrola speech synthesizer. 
Name: mbrola-ttp-English
Version: 1.0
Release: 4
Copyright: For non-commercial, non-military purposes.
Group:	Utilities/Sound
Source: tcts.fpms.ac.be/pub/mbrola/ttp-English.zip
Patch: mbrola-ttp-English-1.0-3.patch

%description
This module implements a variation on the context-based rule invocation
described by Chomsky and Halle in ``The Sound Pattern of English''.
It uses the OOP (Object Oriented Programming) interface introduced
with perl5. This module does NOT produce phonemes like in *.pho files.

%prep

%setup  -n mbrola-ttp-English-1.0-1 -T -c
cp ../../SOURCES/ttp-English.zip .
unzip ttp-English.zip
rm ttp-English.zip

%patch

%build

%install
cd ttp-English
install -d -m 755 -o 0 -g 0 /usr/lib/mbrola/ttp-English
install -d -m 755 -o 0 -g 0 /usr/lib/perl5/Ling
install -m 755 -o 0 -g 0 transcribe /usr/lib/mbrola/ttp-English
rm -f /usr/bin/transcribe
ln -s /usr/lib/mbrola/ttp-English/transcribe /usr/bin
install -m 644 -o 0 -g 0 README RuleEng.pm english_rules french_rules phoncode.doc   /usr/lib/mbrola/ttp-English
rm -f /usr/lib/perl/Ling/RuleEng.pm
ln -sf /usr/lib/mbrola/ttp-English/RuleEng.pm /usr/lib/perl5/Ling

%files
/usr/lib/mbrola/ttp-English
/usr/lib/perl5/Ling/RuleEng.pm
/usr/bin/transcribe
